using System;

namespace burh3
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            string[] s1 = Console.ReadLine().Split();
            int ind = 0;
            for(int i = 0;i<n;i++)if(int.Parse(s1[i])==k)ind=i;
            if(ind == n-1)Console.WriteLine(1);
            else Console.WriteLine(ind+1);
        }
    }
}